package com.gic.haoban.manage.web.qo.content.statistics;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author MUSI
 * @Date 2023/3/23 12:48 PM
 * @Description
 * @Version
 * 素材
 **/
@Data
public class MaterialStoreReportQO extends MaterialStatisticsBaseQO {

    private static final long serialVersionUID = -4105397589798480404L;

    /**
     * 数据类型
     * 1 周报; 2 月报
     * @see com.gic.haoban.manage.api.enums.content.MaterialReportType
     */
    private Integer reportType;

    /**
     * 排序字段
     * 日均使用导购占比
     * 转化客户数
     */
    private String orderByField;

    /**
     * asc
     * desc
     */
    private String order;

    /**
     * 业务周期
     */
    private String bizDate;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("enterpriseId", 1);
        map.put("dayAvgUseMatlNum", 4);
        map.put("dayAvgUseMatlNumRatio", 5);
        map.put("dayAvgUseBindProportion", 6);
        map.put("dayAvgUseBindProportionRatio", 7);
        map.put("userClickNum", 8);
        map.put("userClickNumRatio", 9);
        map.put("convUserNum", 10);
        map.put("convUserNumRatio", 11);
        map.put("convSalesAmt", 12);
        map.put("convSalesAmtRank", 13);
        map.put("convSalesAmtRatio", 14);
        return map;
    }

    public String getDefaultFields() {
        return "enterpriseId";
    }
}
